Obtem detalhe de cobranca de um contrato pelo code da operacao.
curl --request GET \
--url https://api.example.com/api/services/app/Cobranca/ObterCobrancaimport requests
url = "https://api.example.com/api/services/app/Cobranca/ObterCobranca"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/services/app/Cobranca/ObterCobranca', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/services/app/Cobranca/ObterCobranca",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/services/app/Cobranca/ObterCobranca"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/services/app/Cobranca/ObterCobranca")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/services/app/Cobranca/ObterCobranca")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"pendingValue": 123,
"delayedInstallment": 123,
"totalOfInstallments": 123,
"dueDate": "2023-11-07T05:31:56Z",
"qrCode": {
"emv": "<string>",
"image": "<string>"
},
"bankSlipCode": "<string>",
"printUrl": "<string>",
"withoutBankSlip": true
}Cobrança
Obter cobrança
GET
/
api
/
services
/
app
/
Cobranca
/
ObterCobranca
Obtem detalhe de cobranca de um contrato pelo code da operacao.
curl --request GET \
--url https://api.example.com/api/services/app/Cobranca/ObterCobrancaimport requests
url = "https://api.example.com/api/services/app/Cobranca/ObterCobranca"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/services/app/Cobranca/ObterCobranca', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/services/app/Cobranca/ObterCobranca",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/services/app/Cobranca/ObterCobranca"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/services/app/Cobranca/ObterCobranca")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/services/app/Cobranca/ObterCobranca")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"pendingValue": 123,
"delayedInstallment": 123,
"totalOfInstallments": 123,
"dueDate": "2023-11-07T05:31:56Z",
"qrCode": {
"emv": "<string>",
"image": "<string>"
},
"bankSlipCode": "<string>",
"printUrl": "<string>",
"withoutBankSlip": true
}Traz o detalhe da cobrança de um contrato (valor pendente, parcela em atraso, vencimento, boleto e pix), pelo
code.
Autentique-se antes (Autenticação) e revise os Conceitos da API. O
code é o código público da operação do contrato (o mesmo da aba Operações).curl -X GET "https://gateway.hubcred.com.br/external/v1/api/services/app/Cobranca/ObterCobranca?code=ABC123" -H "Authorization: Bearer SEU_TOKEN"
Query Parameters
Response
OK
Detalhe de cobranca do contrato (parcelas, boleto, pix).